Draft Drawing/it: Difference between revisions

From FreeCAD Documentation
(Updating to match new version of source page)
Line 1: Line 1:
{{GuiCommand|Name=Draft_Drawing|Workbenches=[[Draft Module|Draft]], [[Arch Module|Arch]]|MenuLocation=Drafting -> Drawing}}
== Draft: Disegno ==


==Description==
{{GuiCommand/it|Name=Draft_Drawing|Name/it=Disegno|Workbenches=[[Draft Module/it|Draft]], [[Arch Module/it|Architettura]]|MenuLocation=Draft Disegno}}


Questo strumento permette di inserire gli oggetti selezionati in una [[Drawing Module/it|tavola di disegno]] SVG. Se nel documento non esiste nessun [[Drawing_templates/it|modello di tavola]], ne viene creato uno predefinito.
This tool allows you to put selected objects on a svg [[Drawing Module|Drawing sheet]]. If no [[Drawing_templates|sheet]] exists in the document, a default one will be created.


[[Image:Draft drawing example.jpg|400px]]
[[Image:Draft drawing example.jpg|640px]]


=== Utilizzo ===
==How to use==


# Select the objects you wish to put on a drawing sheet
# Selezionare gli oggetti che si desidera inserire nella tavola di disegno
# Premere il pulsante {{KEY/it|[[Image:Draft Drawing.png|16px]] Disegno}}
# Press the {{KEY|[[Image:Draft Drawing.png|16px]] [[Draft Drawing]]}} button


=== Opzioni ===
==Options==


* Selezionare gli oggetti che si desidera inserire nella tavola di disegno. Lo strumento funziona meglio con gli oggetti piani in 2D dei moduli [[Draft Module/it|Draft]] e [[Sketcher Workbench/it|Schizzo]].
* Select objects you want to put on the drawing sheet. The tool will work best with flat 2D objects from the [[Draft Module|Draft]] or [[Sketcher Workbench|Sketcher]] modules.
* Se l'oggetto selezionato è una [[Arch SectionPlane/it|Sezione piana di architettura]], questo strumento crea una ulteriore vista di questo piano di sezione.
* If the selected object is an [[Arch SectionPlane]], this tool will create an additional view of that section plane.
* In the same selection, add the page object you want to draw your objects to. If there is no existing page, a new one will be created. If you didn't select a page but there is at least one in the document, the first found one will be used to draw to.
* Nella stessa selezione, aggiungere anche l'oggetto pagina (modello) in cui si desidera disegnare i propri oggetti. Se non esiste nessuna pagina, ne viene creata una nuova. Se non si seleziona nessuna pagina, ma nel documento ne esiste almeno una, il disegno viene inserito nella prima che viene trovata.
* If you selected an existing sheet, and the objects in the selection that are already on that sheet (for ex. for a "Rectangle" object there is already a "ViewRectangle" object on the sheet), they will be substitued. This allows you to simply select all the objects and send them to an existing page, which will simply be updated.
* Se viene selezionato un foglio esistente, gli oggetti della selezione che si trovano già su quel foglio (ad es. viene selezionato un oggetto "Rettangolo" e nel foglio c'è già un oggetto "VistaRettangolo") vengono sostituiti. Ciò consente di selezionare tutti gli oggetti, di inviarli a una pagina esistente e questa viene semplicemente aggiornata.


=== Proprietà ===
==Properties==
==== Dati ====
{|
| [[File:Draft_Drawing_Properties.png]]
|
{{KEY/it|Base}}<br>
* {{ProprietaDati|Label}}:
* {{ProprietaDati|Source}}:
{{KEY/it|Drawing View}}<br>
* {{ProprietaDati|Rotation}}:
* {{ProprietaDati|Scale}}:
* {{ProprietaDati|X}}:
* {{ProprietaDati|Y}}:
{{KEY/it|Shape View}}<br>
* {{ProprietaDati|Direction}}:
{{KEY/it|View Style}}<br>
* {{ProprietaDati|Fill Style}}: Per le forme chiuse, consente di specificare uno degli stili di riempimento predefiniti di Draft, oppure di utilizzare il colore della forma.
* {{ProprietaDati|Font Size}}: Consente di specificare la dimensione del carattere dei testi e delle quotature.
* {{ProprietaDati|Line Style}}:
* {{ProprietaDati|Line Width}}: Consente di specificare lo spessore di linea degli oggetti visualizzati.
|}


* {{PropertyData|Fill Style}}: For closed shapes, allows to specify one of the Default Draft fill styles, or use the shape color.
=== Script ===
* {{PropertyData|Font Size}}: Allows you to specify the font size of texts and dimensions.
* {{PropertyData|Line Width}}: Allows you to specify the line width of viewed objects.


==Scripting==
Lo strumento Disegno può essere utilizzato nelle [[macros/it|macro]] e dalla [[FreeCAD_Scripting_Basics/it|console di Python]] tramite la seguente funzione:


The Draft Drawing tool can by used in [[macros]] and from the python console by using the following function:
'''makeDrawingView (object,page)'''


<syntaxhighlight>
* Aggiunge la vista del dato oggetto alla pagina specificata.
makeDrawingView (object,page)
* Restituisce l'oggetto vista creato.
</syntaxhighlight>


* Adds a view of the given object to the given page.
Esempio:
* Returns the created view object.


Example:

<syntaxhighlight>
import FreeCAD,Draft
import FreeCAD,Draft
obj = FreeCAD.ActiveDocument.ActiveObject
obj = FreeCAD.ActiveDocument.ActiveObject
page = FreeCAD.ActiveDocument.Page
page = FreeCAD.ActiveDocument.Page
Draft.makeDrawingView(obj,page)
Draft.makeDrawingView(obj,page)
</syntaxhighlight>


<languages/>
{{languages/it | {{en|Draft Drawing}} {{es|Draft Drawing/es}} {{fr|Draft Drawing/fr}} {{se|Draft Drawing/se}} }}

Revision as of 23:11, 13 February 2014

Draft_Drawing

Menu location
Drafting -> Drawing
Workbenches
Draft, Arch
Default shortcut
None
Introduced in version
-
See also
None

Description

This tool allows you to put selected objects on a svg Drawing sheet. If no sheet exists in the document, a default one will be created.

How to use

  1. Select the objects you wish to put on a drawing sheet
  2. Press the Draft Drawing button

Options

  • Select objects you want to put on the drawing sheet. The tool will work best with flat 2D objects from the Draft or Sketcher modules.
  • If the selected object is an Arch SectionPlane, this tool will create an additional view of that section plane.
  • In the same selection, add the page object you want to draw your objects to. If there is no existing page, a new one will be created. If you didn't select a page but there is at least one in the document, the first found one will be used to draw to.
  • If you selected an existing sheet, and the objects in the selection that are already on that sheet (for ex. for a "Rectangle" object there is already a "ViewRectangle" object on the sheet), they will be substitued. This allows you to simply select all the objects and send them to an existing page, which will simply be updated.

Properties

  • DatiFill Style: For closed shapes, allows to specify one of the Default Draft fill styles, or use the shape color.
  • DatiFont Size: Allows you to specify the font size of texts and dimensions.
  • DatiLine Width: Allows you to specify the line width of viewed objects.

Scripting

The Draft Drawing tool can by used in macros and from the python console by using the following function:

 makeDrawingView (object,page)
  • Adds a view of the given object to the given page.
  • Returns the created view object.

Example:

 import FreeCAD,Draft
 obj = FreeCAD.ActiveDocument.ActiveObject
 page = FreeCAD.ActiveDocument.Page
 Draft.makeDrawingView(obj,page)